org.apache.lucene.search.grouping

## Class AbstractDistinctValuesCollector.GroupCount<GROUP_VALUE_TYPE>

- java.lang.Object
- - org.apache.lucene.search.grouping.AbstractDistinctValuesCollector.GroupCount<GROUP_VALUE_TYPE>

- Direct Known Subclasses:
    FunctionDistinctValuesCollector.GroupCount, TermDistinctValuesCollector.GroupCount
  Enclosing class:
    AbstractDistinctValuesCollector<GC extends AbstractDistinctValuesCollector.GroupCount<?>>

      public abstract static class AbstractDistinctValuesCollector.GroupCount<GROUP_VALUE_TYPE>
      extends Object

  Returned by `AbstractDistinctValuesCollector.getGroups()`, representing the value and set of distinct values for the group.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GROUP_VALUE_TYPE` | `groupValue`
    `Set<GROUP_VALUE_TYPE>` | `uniqueValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDistinctValuesCollector.GroupCount(GROUP_VALUE_TYPE groupValue)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groupValue

          public final GROUP_VALUE_TYPE groupValue

    - #### uniqueValues

          public final Set<GROUP_VALUE_TYPE> uniqueValues

  - ### Constructor Detail

    - #### AbstractDistinctValuesCollector.GroupCount

          public AbstractDistinctValuesCollector.GroupCount(GROUP_VALUE_TYPE groupValue)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.